{% from "packages/components/input/macro.njk" import input %}
{% from "macros/hce-date-input.njk" import hceDateInput %}

{% macro hceSummaryListEditable(params) %}
{% set headingLevel = params.headingLevel if params.headingLevel else 2 %}

<div class="govuk-summary-card">
  <div class="govuk-summary-card__title-wrapper">
    <h{{headingLevel}} class="govuk-summary-card__title">{{ params.text.heading }}</h{{headingLevel}}>
  </div>

  <div class="govuk-summary-card__content">

    <dl class="nhsuk-summary-list nhsuk-u-margin-bottom-0">
    {% for row in params.rows %}
        <div class="nhsuk-summary-list__row hce-summary-list-editable">
            <dt class="nhsuk-summary-list__key">
                {{ row.key.text }}
            </dt>
            <dd class="nhsuk-summary-list__value">
                {% if row.value.dateInput %}
                    {{ hceDateInput({
                        fieldIdPrefix: row.value.fieldIdPrefix,
                        fieldNamePrefix: row.value.fieldNamePrefix,
                        claim: row.value.claim,
                        errors: row.value.inputErrors,
                        legend: {
                            text: row.value.legendText,
                            isPageHeading: false,
                            classes: "nhsuk-u-visually-hidden"
                        },
                        hint: {
                        text: ""
                        }
                    }) }}
                {% else %}
                    {{ input({
                        label: {
                            text: row.value.inputLabel,
                            classes: "nhsuk-u-visually-hidden"
                        },
                        classes: "",
                        id: row.value.inputId,
                        name: row.value.inputName,
                        value: row.value.inputValue,
                        errorMessage: row.value.inputErrors,
                        autocomplete: "off"
                    }) }}
                {% endif %}
            </dd>
        </div>
    {% endfor %}
    </dl>

  </div>
</div>

{% endmacro %}